package com.qmth.qrzk.analysis.controller;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

@Controller
public class AnalysisController {
	private static final String BASE_JSP_PATH = "analysis/";
	
	@RequestMapping(value = "/listPapers")
	public ModelAndView listPapers(HttpServletRequest request, HttpSession session) {
		return new ModelAndView(BASE_JSP_PATH + "listPapers");
	}
	
	@RequestMapping(value = "/importExamResult")
	public ModelAndView importExamResult(HttpServletRequest request, HttpSession session) {
		return new ModelAndView(BASE_JSP_PATH + "importExamResult");
	}
	
	@RequestMapping(value = "/viewExamResult")
	public ModelAndView viewExamResult(HttpServletRequest request, HttpSession session) {
		return new ModelAndView(BASE_JSP_PATH + "viewExamResult");
	}
	
	@RequestMapping(value = "/viewPaperAnalysis")
	public ModelAndView viewPaperAnalysis(HttpServletRequest request, HttpSession session) {
		return new ModelAndView(BASE_JSP_PATH + "viewPaperAnalysis");
	}
	
}
